| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::VideoStreamProfile Class Reference

`#include <StreamProfile.hpp>`

Inheritance diagram for ob::VideoStreamProfile:

## Public Member Functions
| VideoStreamProfile (StreamProfile &profile)
| ~VideoStreamProfile () noexcept
uint32_t | fps () const
| Get stream frame rate. More...
uint32_t | width () const
| Get stream width. More...
uint32_t | height () const
| Get stream height. More...
Public Member Functions inherited from ob::StreamProfile
| StreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| StreamProfile (StreamProfile &streamProfile)
| ~StreamProfile () noexcept
OBFormat | format () const
| Get the format of the stream. More...
OBStreamType | type () const
| Get the type of stream. More...
template<typename T >
bool | is ()
| Check if frame object is compatible with the given type. More...
template<typename T >
std::shared_ptr< T > | as ()
| Object type conversion. More...

## Additional Inherited Members
Protected Attributes inherited from ob::StreamProfile
std::unique_ptr< StreamProfileImpl > | impl_

## Detailed Description

Definition at line 101 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

ob::VideoStreamProfile::VideoStreamProfile | ( | StreamProfile & | profile | ) |

ob::VideoStreamProfile::~VideoStreamProfile | ( |  | ) |
| noexcept

## Member Function Documentation

uint32_t ob::VideoStreamProfile::fps | ( |  | ) | const

Get stream frame rate.

Returns
  uint32_t returns the frame rate of the stream

uint32_t ob::VideoStreamProfile::width | ( |  | ) | const

Get stream width.

Returns
  uint32_t returns the width of the stream

uint32_t ob::VideoStreamProfile::height | ( |  | ) | const

Get stream height.

Returns
  uint32_t returns the high of the stream

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/StreamProfile.hpp